- Home
- API Enriched
- Marketplace
- web
- All Addon Service Activation Status.
All Addon Service Activation Status.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/addon_services/example/all-activation-status';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/addon_services/example/all-activation-status \ --header 'Authorization: <Authorization>'GET current subscription status for all addon services in a feature tier. Response can indicate whether the service was successfully subscribed or in pending state.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Addon_service Name of the addon_service feature tier.
Responses
Section titled “Responses”A successful response.
Response shape for addon service feature tier activation statuses.
object
Current state of addon service subscription. The key is the name of the service.
object
Examplegenerated
{ "activation_states": {}}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example